Skip to content
Soljio Docs
Esc
↑↓navigate↵open⌘Jpreview

Price going ahead with a booking without some invited guests before continue_private_lesson_without_guests.

Price going ahead with a booking without some invited guests before continue_private_lesson_without_guests. An organization-scoped read using JSON filter arguments; requires private_lessons.read. Pagination cursors must be reused only with the same organization, operation and filters.

POST/queries/quote_private_lesson_without_guests
Authorization
AuthorizationBearer token (soljio_sk_<secret>) · headerrequired

Organization-scoped service token created by an owner/admin. Scope requirements are in x-required-scopes; these are service-token grants, not OAuth scopes. Revoked, expired, unknown and suspended-organization credentials all return 401.

Request body
requiredapplication/json
booking_idstringrequired

Opaque Soljio resource ID.

min length 1
emailsstring[]required
Responses
200

Successful read.

dataobjectrequired
Show properties
currencystringrequired
due_after_minornumberrequired
lessons_droppednumberrequired
lessons_keptnumberrequired
total_after_minornumberrequired
total_before_minornumberrequired
request_idstring<uuid>required
400

invalid_request

errorobjectrequired
Show properties
codestringrequired
Allowed:invalid_request
messagestringrequired
request_idstring<uuid>required
401

unauthorized

errorobjectrequired
Show properties
codestringrequired
Allowed:unauthorized
messagestringrequired
request_idstring<uuid>required
403

forbidden

errorobjectrequired
Show properties
codestringrequired
Allowed:forbidden
messagestringrequired
request_idstring<uuid>required
404

not_found

errorobjectrequired
Show properties
codestringrequired
Allowed:not_found
messagestringrequired
request_idstring<uuid>required
405

method_not_allowed

errorobjectrequired
Show properties
codestringrequired
Allowed:method_not_allowed
messagestringrequired
request_idstring<uuid>required
409

conflict, idempotency_conflict

errorobjectrequired
Show properties
codestringrequired
Allowed:conflictidempotency_conflict
messagestringrequired
request_idstring<uuid>required
413

payload_too_large

errorobjectrequired
Show properties
codestringrequired
Allowed:payload_too_large
messagestringrequired
request_idstring<uuid>required
415

unsupported_media_type

errorobjectrequired
Show properties
codestringrequired
Allowed:unsupported_media_type
messagestringrequired
request_idstring<uuid>required
429

rate_limited

errorobjectrequired
Show properties
codestringrequired
Allowed:rate_limited
messagestringrequired
request_idstring<uuid>required
500

internal_error

errorobjectrequired
Show properties
codestringrequired
Allowed:internal_error
messagestringrequired
request_idstring<uuid>required
Try it
Server
Authorization
Bodyapplication/json
Request
curl -X POST 'https://api.soljio.com/v0/queries/quote_private_lesson_without_guests' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "booking_id": "string",
  "emails": [
    "string"
  ]
}'
Response
{
  "data": {
    "currency": "string",
    "due_after_minor": 0,
    "lessons_dropped": 0,
    "lessons_kept": 0,
    "total_after_minor": 0,
    "total_before_minor": 0
  },
  "request_id": "266ea41d-adf5-480b-af50-15b940c2b846"
}